You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@ranger.apache.org by co...@apache.org on 2017/03/13 09:48:26 UTC

[3/3] ranger git commit: RANGER-1354 - Error on Atlas plugin install

RANGER-1354 - Error on Atlas plugin install

Signed-off-by: Colm O hEigeartaigh <co...@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/ranger/repo
Commit: http://git-wip-us.apache.org/repos/asf/ranger/commit/c80d8118
Tree: http://git-wip-us.apache.org/repos/asf/ranger/tree/c80d8118
Diff: http://git-wip-us.apache.org/repos/asf/ranger/diff/c80d8118

Branch: refs/heads/master
Commit: c80d81189e5e15d912176ac8430a3b0e9e7bb0a1
Parents: a4f1be8
Author: Colm O hEigeartaigh <co...@apache.org>
Authored: Thu Feb 9 11:27:21 2017 +0000
Committer: Colm O hEigeartaigh <co...@apache.org>
Committed: Mon Mar 13 09:41:07 2017 +0000

----------------------------------------------------------------------
 agents-common/scripts/enable-agent.sh | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ranger/blob/c80d8118/agents-common/scripts/enable-agent.sh
----------------------------------------------------------------------
diff --git a/agents-common/scripts/enable-agent.sh b/agents-common/scripts/enable-agent.sh
index 1cc030a..9270c5f 100755
--- a/agents-common/scripts/enable-agent.sh
+++ b/agents-common/scripts/enable-agent.sh
@@ -224,9 +224,13 @@ fi
 
 if [ ! -d "${HCOMPONENT_LIB_DIR}" ]
 then
-	echo "ERROR: Unable to find the lib directory of component [${HCOMPONENT_NAME}];  dir [${HCOMPONENT_LIB_DIR}] not found."
-	echo "Exiting installation."
-	exit 1
+    mkdir -p "${HCOMPONENT_LIB_DIR}"
+    if [ ! -d "${HCOMPONENT_LIB_DIR}" ]
+    then
+        echo "ERROR: Unable to find the lib directory of component [${HCOMPONENT_NAME}];  dir [${HCOMPONENT_LIB_DIR}] not found."
+        echo "Exiting installation."
+        exit 1
+    fi
 fi
 
 ambari_hive_install="N"